#include "StdAfx.h"
#include "TipView.h"
#include "Application.h"
#include "WindowScriptletPlugin.h"

namespace tipuio {

TipView::TipView(LPCTSTR mainWindowName)
{
	m_MainWindowName = mainWindowName;
}

TipView::~TipView(void)
{
}
void TipView::Init()
{	
	ShowMainWindow();
}
void TipView::Close()
{
	CRootWindow* mainWindow = GetMainWindow();
	if (mainWindow != NULL)
	{
		CWindow window = mainWindow->GetWindow();
		if (window.IsWindow())
			window.DestroyWindow();
	}
}
void TipView::ShowMainWindow()
{
	Application* application = Application::get_instance();
	TiXmlElement* pMainWindowNode = Application::LoadLayoutNode(m_MainWindowName);
	if ( NULL != pMainWindowNode)
	{
		CRootWindow* mainWindow = CWindowScriptletPlugin::CreateBaseWindow(pMainWindowNode);
		if (mainWindow != NULL)
		{
			this->SetMainWindow(mainWindow);

			CWindow wndMain = mainWindow->GetWindow();
			wndMain.ShowWindow(SW_SHOW);							
		}
	}
}
CComponent* TipView::FindName(LPCTSTR name)
{
	CComponent* findComponent = NULL;
	CRootWindow* rootWindow = GetMainWindow();
	if (rootWindow == NULL) return findComponent;

	CRootContainer* rootContainer = rootWindow->GetRootContainer();
	if (rootContainer == NULL) return findComponent;

	findComponent = rootContainer->FindName(name);
	return findComponent;
}

};